Subject: Re: Procmail-error with cygwin
From: Jason Tishler <[email-masked]>
To: [email-masked]
Cc: Cygwin <[email-masked]>
Date: Wed, 03 Jul 2002 12:35:38 -0400

Hannes,

Please don't send private email, post to <[email-masked]> instead.

On Tue, Jul 02, 2002 at 05:08:58PM +0200, Hannes Lau wrote:
> First, sorry about my bad english and grammar.
> I use cygwin in the last edition with fetchmail_5.9.13-1,
> procmail_3.22-6 and mutt_1.2.5i_6 on an winNT-4.0 with service-pack 6.0a
> (german). Yesterday i make the last setup from cygwin with the latest
> packages and now i have a problem. I can not recieve my mail anymore.
> Procmail makes errors, the mail-download with fetchmail produced 
> in ~/Mail files like: _PI.e7bI9.HANNES, the length is 1 byte and it 
> is not a mailbox-format says mutt. Also i recieved a file 
> in ~/Mail called: procmail.exe.stackdump.
> This file i will attached to this mail. The ~/.fetchmailrc is like the
> cygwin-Readme. The ~.procmailrc i also attached to this mail.
> What can i do?

Try the latest Cygwin snapshot:

    http://cygwin.com/snapshots/

See below for why...

> Thank you for answer.
>
> CU H.Lau
> -- 
> ---------------------------------------------------------------------
> GLASER & HUKE Assekuranzkontor    | Herr Hannes Lau
> 18057 Rostock, Wismarsche Str. 17 | Mail: [email-masked]
> Tel: (0381) 4590216 Fax: 4906383  | Internet: www.glaser-huke.de 
> ---------------------------------------------------------------------

> PATH=/bin:/usr/bin:/usr/bin
> MAILDIR=$HOME/Mail
> DEFAULT=$MAILDIR/inbox
> LOGFILE=$MAILDIR/maillog
> VERBOSE=on
> 
> :0:
> $MAILDIR/inbox
> 
> :0
> * ^Subject:.*Flame
> /dev/null
> 
> :0
> * ^Subject[ :]ADV*
> /dev/null

> Exception: STATUS_ACCESS_VIOLATION at eip=77F34AC4
> eax=00000000 ebx=00233268 ecx=FFFFFFFF edx=FFFFFFFF esi=0000000C edi=0000000C
> ebp=0022F200 esp=0022F1D4 program=f:\cygwin\bin\procmail.exe
> cs=001B ds=0023 es=0023 fs=0038 gs=0000 ss=0023
> Stack trace:
> Frame     Function  Args
> 0022F200  77F34AC4  (00000000, 00000000, 0000000C, FFFFFFFF)
            ^^^^^^^^
            [1]

> 0022FB20  6107120A  (0A012220, 0A012130, 00000000, 00000000)
            ^^^^^^^^
            [2]

> 0022FBE0  00404BE8  (0A012220, 0A012130, 0022FC10, 610702CD)
> 0022FC50  00404CC3  (0A012220, 0A012130, 2B68B200, 00000400)
> 0022FC80  00404B85  (0A012220, 0A012130, 00000019, 0022FCA4)
> 0022FD00  00405EDD  (0A012130, 00000124, 0022FD4C, 00000004)
> 0022FD90  00405BB9  (0A012130, 004107AC, 0A010F08, 00000000)
> 0022FDC0  00405D5A  (00000000, 0A010708, 00000000, 00000000)
> 0022FE20  00403AE6  (00000000, 00000000, 0040EE2C, 610111FC)
> 0022FEB0  0040294D  (00000003, 61683968, 0A010278, 77F75B75)
> 0022FF00  61005A9E  (00000010, FFFFFFFE, 000000AC, 610C08A0)
> 0022FF60  61005D28  (00000000, 00000000, 00000000, 00000000)
> 0022FF90  0040ECFB  (00401A94, 00000000, 00000246, 8011748B)
> 0022FFC0  0040103D  (0022E2D0, 0022E2FC, 7FFDF000, 7FFDF000)
> 0022FFF0  77F1B9EA  (00401000, 00000000, 000000B0, 00000100)
> End of stack trace

The above stack trace indicates that procmail is dying in a MS system
DLL [1] and that the Cygwin DLL is calling this function [2].  This
problem may be solved in the latest Cygwin snapshot.  Does trying this
solve your problem?

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/